Loading...
Searching...
No Matches
tiny_dnn::activation::function Class Referenceabstract
Inheritance diagram for tiny_dnn::activation::function:
[legend]

## Public Member Functions

| function (const function &)=default
| function (function &&)=default
function & | operator= (const function &)=default
function & | operator= (function &&)=default
virtual float_t | f (const vec_t &v, size_t index) const =0
void | itef (vec_t &out, const vec_t &in, size_t cnt) const
virtual float_t | df (float_t y) const =0
virtual vec_t | df (const vec_t &y, size_t i) const
virtual bool | one_hot () const
virtual std::pair< float_t, float_t > | scale () const =0

The documentation for this class was generated from the following file:

- tiny_dnn/activations/activation_function.h